#!/bin/sh

# tomcat-toolsの共通関数群


# rootユーザーか調べる.
#	[戻り値]
#		1 : rootユーザー
#		0 : 非rootユーザー
function is_root_user()
{
	ret="false"
	if [ ${EUID:-${UID}} = 0 ]; then
		# echo 'I am root.'
		ret="true"
	fi

	echo ${ret}
}

# warファイル名からコンテキスト名を取得する.
#	[引数]
#		$1 : warファイル名 例) webifi.war
#	[戻り値]
#		コンテキスト名 : 例) webifi
function war_name_to_context_name()
{
	war_name=$1
	context_name = ${war_name:0:-4}
	echo ${context_name}
}
