#!/bin/sh

# tomcatサービスを開始するコマンド.

# スクリプトのディレクトリを取得.
SCRIPT_DIR=$(cd $(dirname $(readlink -f $0 || echo $0));pwd -P)

# 共通関数をインクルード.
source ${SCRIPT_DIR}/util/tomcat-tools-common.sh

# rootユーザーかをチェック.

root_flg=`is_root_user`

if [ ${root_flg} = "true" ]; then
	echo "rootユーザーで処理を実行します."
else
	echo "本コマンドの実行はrootユーザーで行ってください."
	exit -1
fi

systemctl start tomcat

echo "tomcatの起動が完了しました."

exit 0
